import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:pharmacy_mobile/widgets/consultation_widget.dart';
import 'package:pharmacy_mobile/widgets/logo_widget.dart';
import 'package:pharmacy_mobile/widgets/page_background_widget.dart';
import 'package:pharmacy_mobile/widgets/text_widget.dart';

class CustomerMainPage extends StatefulWidget {
  // final NotchBottomBarController? controller;
  const CustomerMainPage({super.key});

  @override
  State<CustomerMainPage> createState() => _CustomerMainPageState();
}

class _CustomerMainPageState extends State<CustomerMainPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: PageBackgroundWidget(
            dark: true,
            child: Padding(
              padding: const EdgeInsets.symmetric(horizontal: 16),
              child: Column(
                children: [
                  const Gap(96),
                  const Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    children: [
                      // Gap(16),
                      LogoWidget(size: 56),
                    ],
                  ),
                  const Gap(16),
                  const Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    children: [
                      TextWidget(
                        text: 'Pharmacist Consultation',
                        title: true,
                        size: 14,
                      ),
                    ],
                  ),
                  const Gap(8),
                  ConsultationWidget(
                    name: 'Ofelia Franco-Alcala, RPh',
                    description: 'Pharmacist',
                    contact: '09205436095',
                    imagePath: 'assets/images/ofelia.webp',
                    color: 'pink',
                    margin: 32,
                  ),
                  const Gap(8),
                  ConsultationWidget(
                    name: 'Pamela Claire Alcala, RPh',
                    description: 'Pharmacist',
                    contact: '09205436095',
                    imagePath: 'assets/images/pamela.webp',
                    color: 'pink',
                    margin: 32,
                  ),
                  const Gap(16),
                  const Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    children: [
                      TextWidget(
                        text: 'Doctor Consultation',
                        title: true,
                        size: 14,
                      ),
                    ],
                  ),
                  const Gap(8),
                  ConsultationWidget(
                    name: 'Floherna Franco-Diccion, PhD',
                    description: 'Physician',
                    contact: '09205436095',
                    imagePath: 'assets/ph_logo.webp',
                    color: 'yellow',
                    margin: 32,
                  ),
                  // const Gap(32),
                  // ButtonWidget(text: 'Log Out', onPressed: signOut)
                ],
              ),
            )));
  }
}
